Description

I may not be understanding all the settings, so feature request if not bug.

1) Set Preferred distance units to Miles, for example, in Map Tools configuration.  Open Measure tool.  Units are meters, not miles.

2) Open Measure tool.  Change units to miles, for example.  Close and reopen Measure tool.  Units are meters again.

On #2, I feel the unit should be retained to the last used regardless of what is set in the configuration...at least for the current session.  A

nice touch would be to highlight/bold the preferred distance unit in the Measure tool dropdown list.

History

#1 - 2018-02-01 01:35 AM - Nyall Dawson

- Status changed from Open to Closed

The measure tool defaults to the setting for the current project (set in Project Properties), not the global setting. The global setting only affects what new

projects will default to.

#2 - 2018-02-01 02:30 AM - Kory Roberts

Makes sense, I guess, but it's pretty confusing to open the configuration from the Measure tool to Options|Map Tools, with this section:

Measure tool

--- Rubberband color

--- Decimal places

--- Keep base unit

--- Preferred distance units

--- Preferred area units

--- Preferred angle units

It literally has a section header "Measure tool", but only the first 3 really configure the Measure tool, if I understand correctly?

#3 - 2018-02-21 09:21 PM - Giovanni Manghi

- Resolution set to invalid
